.href-logo {
    display: flex;
    flex-direction: row;    
    text-decoration: none;
    color: inherit;
    height: 100%;
}

body {
    margin: 0;
    height: 100%;
    background-color: rgb(242, 228, 255);
    background-color: rgb(246, 236, 255);
    font-family: "Nunito", sans-serif;  
    /* background-image: url("../src/images/bg_d.png");
    background-size: cover;       /* Ajusta la imagen para cubrir toda la pantalla */
    background-repeat: no-repeat; /* Evita que se repita */
    background-position: center;  /* Centra la imagen */
    padding-top: 90px; /* para compensar la altura de header nav */
    background: linear-gradient(-20deg, rgb(242, 228, 255) 50%, rgb(236, 221, 252) 50%);
}

main {
    min-height: 90vh; 
}

ul, li {
    text-decoration: none;
    font-style: none;
    /*list-style-type: none;    */
}

li a {
    text-decoration: none;
    color: inherit;
}

.desktop-nav {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    display: flex;
    flex-direction: row;
    background-color: rgb(255, 255, 255);
    width: 100%;
    height: 90px;
    align-items: center;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}

.no-logo {
    display: flex;
    flex-direction: row;
    justify-content: space-between; /* 👈 separa menú y botón */
    width: 100%;
}

.desktop-nav .logo {
    margin-left: 64px;
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.desktop-nav .logo img {
    max-height: 75%;    
}

.desktop-nav .logo-text{
    height: 100%;
    width: 140px;
    align-items: center;
    align-content: center;
    margin-left: 12px;
    user-select: none;
}

.desktop-nav .logo-text1{
    color: #9c60f7;
    font-size: 23px;
    font-family: "Merriweather", serif;
    font-weight: 600;   
}

.desktop-nav .logo-text2{
    color: #633cc1;
    font-size: 21px;
    font-family: "Cormorant Garamond", serif;
    font-weight: 700;
}

.desktop-nav .logo img {
    height: 100%;
    width: auto;
    user-select: none; /* evita selección */
    -webkit-user-drag: none; /* evita arrastre en navegadores WebKit */
}

.desktop-nav .menu-list {
    margin-left: 64px;
    padding: 0;
    display: flex;
    flex-direction: row;
    /* background-color: red; */
    gap: 40px;
    
}

.desktop-nav li.dropdown{
    display: flex;
    flex-direction: row;
    font-size: 18px;
    font-weight: 400;
    cursor: pointer;
    align-items: center;
    transition: transform 0.1s ease, color 0.1s ease-in;
    color: black;
}

.desktop-nav li.dropdown:hover {
    transform: scale(1.05);
    color: rgb(83, 22, 139);    
}

li .flecha {
    display: flex;
    width: 0;
    height: 0;
    margin-left: 8px;
    margin-top: 2px;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 8px solid rgb(92, 92, 92);
}

nav .menu-buttons {
    align-items: end;
    text-align: end;
    margin-right: 6 4px;
}

.menu-list {
    list-style: none;
    text-decoration: none;
    display: inline-block;
    /* background-color: rgb(177, 177, 255); */
}

.menu-list li {
    position: relative; /* IMPORTANTE para el submenu */
    width: auto;
}

.menu-list ul {
    margin: 0;
}

.submenu {
    list-style: none;
    position: absolute;
    top: 100%;
    padding-left: 0;
    padding-top: 36px;
    display: none; /* oculto */   
    min-width: 200px;
    left: 50%;              /* punto de referencia en el centro del padre */
    transform: translateX(-50%); /* lo corre hacia atrás la mitad de su ancho */
}

.submenu-container {
    background-color: rgb(255, 255, 255);
    padding: 8px;
    border-radius: 12px;   
}

.submenu li {
    color: rgb(0, 0, 0);
    padding: 12px 16px;
    background-color: #ffffff;
    text-align: left;
    border-radius: 16px;
}

.submenu li:hover {
    background-color: #ececec;
}

.dropdown:hover .submenu {
    display: block;
}

.submenu-flecha {
    display: flex;
    width: 0;
    height: 0;
    margin: auto;
    margin-top: 2px;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 12px solid rgb(255, 255, 255);
    /* box-shadow: 0px -3px 10px rgba(0,0,0,0.1); */
    z-index: 10;
}

.donate { /* <a> */
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-decoration: none;
    margin-right: 32px;
    border-radius: 16px;
}

.donate-button {
    display: flex;
    flex-direction: row;
    align-content: center;
    align-items: center;
    color: white;
    font-family: "Nunito", sans-serif;
    font-weight: 600;
    font-size: 18px;
    background: linear-gradient(45deg, #633cc1, #f760f7);
    padding: 12px 24px;
    border-radius: 16px;
    transition: filter 0.15s ease;
}

.donate-button:hover {
    filter: brightness(1.15);
}


/* ------------ MOBILE SECTION ------------ */

.mbl-navbar-main {
    display: none;
    z-index: 1000!important;
}

.mbl-nb-bar {
    z-index: 1000!important;
}
 
@media (max-width: 767px) or (pointer: coarse) {
    html, body {
        margin: 0;
        padding: 0;
        width: 100%;
        height: 100%;
        overflow-x: hidden!important;
    }


    /* ------------- Inicio del Navbar Mobile ---------------- */

    .desktop-nav {
        display: none;
    }

    .mbl-navbar-main {
        display: block;
        padding-bottom: 64px;
        z-index: 1000!important;
    }

    .mbl-nb-bar {
        position: fixed;
        display: flex;
        flex-direction: row;
        z-index: 10;
        width: 100vw;
        height: 64px;
        background-color: #f5f5f5;
        background-color: #ffffff;
        align-items: center;
        border-bottom: 3px solid rgb(212, 212, 212);
        border-bottom: 3px solid rgb(228, 228, 228);
        box-sizing: border-box;
    }

    .mbl-nb-icon {
        margin-left: 16px;
        display: flex;
        font-size: 30px;
        justify-content: center;
        text-align: center;
        align-items: center;
        cursor: pointer;
    }

    .mbl-nb-title {
        color: black;
        text-decoration: none;
        font-size: 22px;
        width: 100%;
        margin-left: 16px;
        font-family: "Merriweather", serif;
    }

    .mbl-donate { /* <a> */
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-decoration: none;
        margin-right: 8px;
        border-radius: 16px;
    }

    .mbl-donate-button {
        display: flex;
        flex-direction: row;
        align-content: center;
        align-items: center;
        color: white;
        font-family: "Nunito", sans-serif;
        font-weight: 600;
        font-size: 16px;
        background: linear-gradient(45deg, #633cc1, #f760f7);
        padding: 12px 20px;
        border-radius: 16px;
        transition: filter 0.15s ease;
        cursor: pointer;           
    }
    
    .mbl-nb-mainColumn {
        display: block;
        position: absolute;
        overflow: scroll;
        top: 0;
        left: 0;
        width: 250px;
        height: 100vh;
        background-color: #f3f3f3;
        background-color: #ffffff;
        z-index: 1200!important;
        transition: margin-left 0.30s ease-in-out, background-color 0.3s ease;
        border-right: 2px solid rgb(188, 177, 216);
        box-sizing: border-box;
        transform: translateX(-100%);
        transition: transform 0.3s ease-in-out;
        opacity: 0;
        transition: transform 0.3s ease, opacity 0.3s ease;
    }

    .mbl-nb-mainColumn.active {
        transform: translateX(0);
        opacity: 1;
    }

    .mbl-mc-gradientSquare {
        display: flex;
        flex-direction: column;
        position: relative;
        align-items: center;
        justify-content: center;
        text-align: center;
        align-content: center;
        width: 100%;
        background: linear-gradient(to bottom right, #f3e1ff, #f3e1ff); 
        max-height: 200px;
        min-height: 150px!important;
    }

    .mbl-mc-logo {
        width: 96px;
    }

    .mbl-mc-logo-text {
        display: flex;
        font-family: "Merriweather", serif;
        font-size: 18px;
        color: #9c60f7;
        align-items: center;
        text-align: center;
        justify-content: center;
        margin-top: 6px;
        width: 100%;
    }

    .mbl-mc-logo-subtext {
        font-family: "Cormorant Garamond", serif;
        font-size: 16px;
        font-weight: 600;
        color: #633cc1;
        text-align: center;
        margin-top: 2px;
        width: 100%;
    }

    .mbl-mc-title {
        margin-top: 10px;
        width: 100%;
        text-align: center;
        font-size: 20px;
        font-weight: 500;
    }

    .mbl-divider {
        width: 100%;
        height: 1px;
        background-color: rgb(221, 220, 220);
        margin: 16px 0;
    }

    .mbl-services-list {
        display: flex;
        flex-direction: column;
        gap: 16px;
        margin-left: 16px;
        margin-top: 16px;
    }

    .mbl-services-list a{
        text-decoration: none;
        color: #000;
    }

    .mbl-contact-list {
        display: flex;
        flex-direction: row;
        gap: 16px;
        justify-content: center;
        align-items: center;
        margin-top: 10px;
    }

    .mbl-contact-list img {
        width: 32px;
        height: auto;
    }

    .mbl-integro-list {
      margin-top: 8px;
    }

    .mbl-other-list,
    .mbl-integro-list {
        width: 80%;
        display: flex;
        flex-direction: column;
        margin-left: 16px;
        margin-bottom: 32px;
        gap: 16px;
    }

    .mbl-other-list a,
    .mbl-integro-list a {
        text-decoration: none;
        color: #000;
    }
    /* --------------- Fin del Navbar Mobile ---------------- */


}

@media (max-width: 875px) {
    #dropContacto {
        display: none;
    }
}

@media (max-width: 1000px) {
    #dropSobremi {
        display: none;
    }
}

@media (max-width: 1060px) {
    #dropFAQ {
        display: none;
    }
}

